Resource

Table View

Table View is view settings for a table in a project. It contains columns, filters, and other settings.

The Table View Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    tableId
    Type
    TextRequired
    Description

    ID of the table this view is for

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    query
    Type
    JSONRequired
    Description

    Filters for this table view

  • Name
    sort
    Type
    JSONRequired
    Description

    Sort for this table view

  • Name
    itemsOnPage
    Type
    NumberRequired
    Description

    Items on page

GETorPOST/api/table-view/get-list

List

This endpoint allows you to retrieve a paginated list of all your Table View. By default, a maximum of ten Table View are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/table-view/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "itemsOnPage": true,
    "name": true,
    "projectId": true,
    "query": true,
    "sort": true
  },
  "query": {
    "name": "Production Monitors View"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377e14d0-28fe-11f1-b591-3fdcef396aba",
      "itemsOnPage": 10,
      "name": "Production Monitors View",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "query": "{\"status\": \"active\", \"priority\": \"high\"}",
      "sort": "{\"createdAt\": -1}"
    },
    {
      "_id": "377e14d1-28fe-11f1-b591-3fdcef396aba",
      "itemsOnPage": 10,
      "name": "Production Monitors View",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "query": "{\"status\": \"active\", \"priority\": \"high\"}",
      "sort": "{\"createdAt\": -1}"
    },
    {
      "_id": "377e14d2-28fe-11f1-b591-3fdcef396aba",
      "itemsOnPage": 10,
      "name": "Production Monitors View",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "query": "{\"status\": \"active\", \"priority\": \"high\"}",
      "sort": "{\"createdAt\": -1}"
    }
  ]
}
GETorPOST/api/table-view/:id/get-item

Get item by ID

This endpoint allows you to retrieve Table View by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/table-view/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "itemsOnPage": true,
    "name": true,
    "projectId": true,
    "query": true,
    "sort": true
  }
}

Response

{
  "_id": "377e14d0-28fe-11f1-b591-3fdcef396aba",
  "itemsOnPage": 10,
  "name": "Production Monitors View",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "query": "{\"status\": \"active\", \"priority\": \"high\"}",
  "sort": "{\"createdAt\": -1}"
}
POST/api/table-view/count

Count

This endpoint allows you to retrieve the count of all your Table View.

Optional Request Body

Count Request

POST
/api/table-view/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Production Monitors View"
  }
}

Response

{
  "count": 107
}
POST/api/table-view

Create Table View

This endpoint allows you to create a new object.

Create Request

POST
/api/table-view
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "itemsOnPage": 10,
    "name": "Production Monitors View",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "query": "{\"status\": \"active\", \"priority\": \"high\"}",
    "sort": "{\"createdAt\": -1}"
  }
}

Response

{
  "_id": "377e14d0-28fe-11f1-b591-3fdcef396aba",
  "itemsOnPage": 10,
  "name": "Production Monitors View",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "query": "{\"status\": \"active\", \"priority\": \"high\"}",
  "sort": "{\"createdAt\": -1}"
}
PUT/api/table-view/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/table-view/:id/update-item
GET/api/table-view/:id/update-item

Update Request

PUT
/api/table-view/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "itemsOnPage": 10,
    "name": "Production Monitors View",
    "query": "{\"status\": \"active\", \"priority\": \"high\"}"
  }
}

Response

{}
DELETE/api/table-view/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/table-view/:id/delete-item
GET/api/table-view/:id/delete-item

Delete Request

DELETE
/api/table-view/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Table View

  • Project Owner
  • Project Admin
  • Project Member
  • Read Table View
  • Read All Project Resources

Create Permissions

Required to create Table View

  • Project Owner
  • Project Admin
  • Create Table View

Update Permissions

Required to update Table View

  • Project Owner
  • Project Admin
  • Edit Table View

Delete Permissions

Required to delete Table View

  • Project Owner
  • Project Admin
  • Delete Table View